Package com.google.android.exoplayer2.text

## Interface TextOutput

-     public interface TextOutput

  Receives text output.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCues​(CueGroup cueGroup)` | Called when there is a change in the `CueGroup`.
    `default void` | `onCues​(List<Cue> cues)` | Deprecated. Use `onCues(CueGroup)` instead.

- - ### Method Detail

    - #### onCues

          @Deprecated
          default void onCues​(List<Cue> cues)

      Deprecated.
      Use `onCues(CueGroup)` instead.
      Called when there is a change in the `Cues`.

      Both `onCues(List)` and `onCues(CueGroup)` are called when there is a change in the cues. You should only implement one or the other.

    - #### onCues

          void onCues​(CueGroup cueGroup)

      Called when there is a change in the `CueGroup`.

      Both `onCues(List)` and `onCues(CueGroup)` are called when there is a change in the cues. You should only implement one or the other.